Subject: Add noRecursiveSubmodules option to GitCheckoutTask
Description

In some cases it is necessary to prevent git from checking out
submodules recursively during a Surf deployment in which composer is not
used. If the option "noRecursiveSubmodules" is set to true, only the
submodules directly referenced in the base repository are fetched and
checked out.

If the option is not set, or set to false, all submodules are fetched
and checked out recursively. Therefore, the default behaviour does not
change.

Associated revisions
Revision e006be86 - 2013-08-22 11:06 - Christian Roeder 

[FEATURE] Add recursiveSubmodules option to GitCheckoutTask

In some cases it is necessary to prevent git from checking out
submodules recursively during a Surf deployment in which composer is not
used. If the option "recursiveSubmodules" is set to false, only the
submodules directly referenced in the base repository are fetched and
checked out.

If the option is not set, or set to true, all submodules are fetched
and checked out recursively. Therefore, the default behaviour does not
change.

The unit tests adds a new possibility to match commands by a regular
expression to test for the absence of a --recursive flag.

Resolves: #49489
Change-Id: Idd1a934465c28767826559c9dbc8d73f96d9a0f9

History
#1 - 2013-07-18 13:07 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22396

#2 - 2013-08-06 13:22 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22396

#3 - 2013-08-22 11:06 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22396

#4 - 2013-08-22 16:30 - Anonymous
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e006be8655ea44a4bc03f6e085cee7ef681b78a1.
